Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdflib
Class HDFNewCompInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFCompInfo
          ncsa.hdf.hdflib.HDFNewCompInfo

Direct Known Subclasses:
  HDFDeflateCompInfo, HDFNBITCompInfo, HDFRLECompInfo, HDFSKPHUFFCompInfo, HDFSZIPCompInfo

    public class HDFNewCompInfo

extends HDFCompInfo

This class is a generic container for the parameters to the HDF compressed classes, with the ``new'' encoding.

Compression parameters are expressed as instances of sub-classes of this type.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int` | `ctype`

Constructor Summary
`HDFNewCompInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctype

    public int ctype

Constructor Detail

### HDFNewCompInfo

    public HDFNewCompInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD